#screen:not(.locked).fullscreen-layout-app.software-button-enabled [role="dialog"][data-type="action"],
#screen:not(.locked).fullscreen-layout-app.software-button-enabled [role="dialog"][data-type="object"],
#screen.locked.secure-app.software-button-enabled [role="dialog"][data-type="action"],
#screen.locked.secure-app.software-button-enabled [role="dialog"][data-type="object"],
#screen:not(.locked).software-button-enabled [role="dialog"][data-type="action"],
#screen:not(.locked).software-button-enabled [role="dialog"][data-type="object"] {
  bottom: var(--software-home-button-height);
}

/* Dialogs inside an appWindow don't need to take the SHB into account */
#screen.software-button-enabled .appWindow [role="dialog"][data-type="object"],
#screen.software-button-enabled .appWindow [role="dialog"][data-type="action"] {
  bottom: 0;
}


#screen.fullscreen-layout-app.software-button-enabled [role="dialog"][data-type="action"] {
  height: calc(100% - 7rem - var(--software-home-button-height));
}

@media (orientation: landscape) {
  #screen.fullscreen-layout-app.software-button-enabled [role="dialog"][data-type="object"],
  #screen.fullscreen-layout-app.software-button-enabled [role="dialog"][data-type="action"],
  #screen:not(.locked).software-button-enabled [role="dialog"][data-type="action"],
  #screen:not(.locked).software-button-enabled [role="dialog"][data-type="object"],
  #screen.software-button-enabled [role="dialog"][data-type="object"],
  #screen.software-button-enabled [role="dialog"][data-type="action"] {
    height: calc(100% - 7rem);
    bottom: 0;
    right: var(--software-home-button-height);
  }

  /* Dialogs inside an appWindow don't need to take the SHB into account */
  #screen.software-button-enabled .appWindow [role="dialog"][data-type="object"],
  #screen.software-button-enabled .appWindow [role="dialog"][data-type="action"] {
    right: 0;
  }
}

/* Extending action menu with icon capability & transition*/

form[role="dialog"][data-type="action"] > menu > button.icon,
form[role="dialog"][data-type="object"] > menu > button.icon {
  background-repeat: no-repeat;
  -moz-padding-start: 4rem;
  background-size: 3rem;
  background-position: 0.5rem center;
}

form[role="dialog"][data-type="action"] > menu > button.tail-icon,
form[role="dialog"][data-type="object"] > menu > button.tail-icon {
  background-repeat: no-repeat;
  background-size: 3rem;
  background-position: right 0.5rem top 0.5rem;
}

form[role="dialog"][data-type="action"][show-screen="full-screen"].visible {
  max-height: calc(100% - 62px);
  width: 100%;
  height: 78%;
  background-color:#FFFFFF;
  margin-bottom: 0.5rem;
}

form[role="dialog"][data-type="action"][show-screen="full-screen"]:before {
  height: 11%;
}

form[role="dialog"][data-type="action"],
form[role="dialog"][data-type="object"] {
  /* Forcing position absolute when hidden in order to avoid
  unwanted scroll events due to Bug 1077474 */
  position: absolute;

  visibility: hidden;
  transform: translateY(100%);
  transition: transform ease-in-out .3s, visibility .3s;
  pointer-events: none;
}

form[role="dialog"][data-type="action"].visible,
form[role="dialog"][data-type="object"].visible {
  position: fixed;
  visibility: visible;
  transform: translateY(0);
  pointer-events: auto;
}

@media (min-width: 768px) {
  form[role="dialog"][data-type="action"],
  form[role="dialog"][data-type="object"] {
    -moz-box-sizing: border-box;
    background-color: rgba(0,0,0,0.6);
  }

  form[role="dialog"][data-type="action"] > header,
  form[role="dialog"][data-type="object"] > header {
    background: none;
    top: calc(50% - 24rem);
    left: calc(50% - 34rem);
    width: 68rem;
    height: 7rem;
    padding: 0 6rem;
    font-size: 2.2rem;
    line-height: 7rem;
    background-color: #333333;
    box-shadow: 0 0 1rem #222222;
    border: 0.1rem solid #282828;
    border-bottom: none;
  }

  form[role="dialog"][data-type="action"] > header:after,
  form[role="dialog"][data-type="object"] > header:after {
    background: #222323;
    left: 6rem;
    width: 54rem;
  }
  form[role="dialog"][data-type="action"] > header:before,
  form[role="dialog"][data-type="object"] > header:before {
    background: #FFFFFF;
    left: 6rem;
    height:0.1rem;
    width: 54rem;
  }
  form[role="dialog"][data-type="action"] > menu,
  form[role="dialog"][data-type="object"] > menu {
    top: calc(50% - 24rem + 7rem);
    left: calc(50% - 34rem);
    width: 56rem; /* 68 - 12 */
    height: 31rem; /* 38 - 7 */
    padding: 0 6rem;
    font-size: 2.2rem;
    background-color: #4d4d4d;
    border: none;
    z-index:1;
  }

  form[role="dialog"][data-type="action"] > menu > button,
  form[role="dialog"][data-type="object"] > menu > button {
    box-shadow: 0 0 1rem #222222;
    border: 0.1rem solid #282828;
    background: none no-repeat 1rem 50%;
    background-color: #898989;
    height: 4.7rem;
    font-size: 2.3rem;
    line-height: 3rem;
    font-weight: 400;
    padding: 1rem 6rem;
    margin: 2.4rem 0 0 0;
  }

  form[role="dialog"][data-type="action"] > menu > button:last-child,
  form[role="dialog"][data-type="object"] > menu > button:last-child {
    position: absolute;
    margin-top: 7rem;
    font-size: 2.3rem;
    line-height: 2.3rem;
    font-weight: 400;
    width: 18rem;
    height: 4rem;
    margin-left: calc(50% - 9rem);
  }

  form[role="dialog"][data-type="action"] > menu > button:last-child:before,
  form[role="dialog"][data-type="object"] > menu > button:last-child:before {
    background: none;
    background-color: #333333;
    width: 67.8rem;
    left: calc(50% - 33.9rem);
    bottom: calc(50% - 14rem);
    z-index: -1;
  }
}

/* RTL View */
html[dir="rtl"] form[role="dialog"][data-type="action"] > menu > button.icon,
html[dir="rtl"] form[role="dialog"][data-type="object"] > menu > button.icon {
  background-position: right 0.5rem center;
}
#div-white-line-top {
  background: white;
  width: 100%;
  height: 0.1rem;

}
#div-white-line-bottom {
  background: white;
  width: 100%;
  height: 0.1rem;
  bottom:12rem;

}
